WavChunk Class Referenceabstract

`#include <WavChunk.h>`

Inheritance diagram for WavChunk:

## Public Member Functions

| WavChunk (void)
| WavChunk (WavChunkHeader *chh)
virtual | ~WavChunk (void)
virtual void | read (BinaryIO *io)=0
virtual void | write (BinaryIO *io)

## Protected Attributes

WavChunkHeader * | ChunkHeader

## Constructor & Destructor Documentation

## WavChunk() [1/2]

WavChunk::WavChunk | ( | void |  | ) |

inline

## WavChunk() [2/2]

WavChunk::WavChunk | ( | WavChunkHeader * | chh | ) |

inline

## ~WavChunk()

WavChunk::~WavChunk | ( | void |  | ) |

virtual

## Member Function Documentation

## read()

virtual void WavChunk::read | ( | BinaryIO * | io | ) |

pure virtual

Implemented in WavChunkUnused, and WavFormatChunk.

## write()

void WavChunk::write | ( | BinaryIO * | io | ) |

virtual

Reimplemented in WavChunkUnused, and WavFormatChunk.

## Member Data Documentation

## ChunkHeader

WavChunkHeader* WavChunk::ChunkHeader

protected

The documentation for this class was generated from the following files:

- WavChunk.h
- WavChunk.cc